Subject: Re: pkg/34718: Patches for aterm
To: None <,,>
From: Christian Biere <>
List: pkgsrc-bugs
Date: 10/06/2006 13:35:02
The following reply was made to PR pkg/34718; it has been noted by GNATS.

From: Christian Biere <>
Subject: Re: pkg/34718: Patches for aterm
Date: Fri, 6 Oct 2006 15:32:29 +0200

 Joerg Sonnenberger wrote:
 >  >  If pkgsrc can detect the necessity of setuid-root itself, this doesn't
 >  >  have to be an option of course.
 >  I don't think it is the job of pkgsrc to do that. The package should
 >  check if it can use grantpt (just checking whether it exists is normally
 >  enough), if that doesn't exist openpty (from libutil, needs setuid) and
 >  fallback to manual pty manupulation. that's the realm of configure
 >  though.
 Yes, it's just aterm will be broken for NetBSD soon due to this /dev/ptmx
 issue. Actually, I've switched to rxvt-unicode now. I wonder whether aterm
 should maybe be deprecated. rxvt-unicode is 100% feature-compatible, fixes all
 the above and has the advantages that it handles Unicode properly (better
 than xterm), has multi-terminal support which reduces the memory footprint with
 many terminals quite a lot and last but not least it's actively maintained.
 So fixing aterm any further is probably just a waste of time.